## org.apache.bcel.generic
Class FCONST

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.FCONST

All Implemented Interfaces:
  java.lang.Cloneable, ConstantPushInstruction, PushInstruction, java.io.Serializable, StackProducer, TypedInstruction

public class FCONST
extends Instruction
implements ConstantPushInstruction, TypedInstruction

FCONST - Push 0.0, 1.0 or 2.0, other values cause an exception

    Stack: ... -> ...,

Version:
  $Id: FCONST.java,v 1.3 2002/08/07 18:01:32 mdahm Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`FCONST(float f)`

Method Summary
`void` `accept(Visitor v)` Call corresponding visitor method(s).
`Type` `getType(ConstantPoolGen cp)`
`java.lang.Number` `getValue()`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, initFromFile, produceStack, readInstruction, setComparator, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Constructor Detail

### FCONST

    public FCONST(float f)

Method Detail

### getValue

    public java.lang.Number getValue()

  Specified by:
    `getValue` in interface `ConstantPushInstruction`

### getType

    public Type getType(ConstantPoolGen cp)

  Specified by:
    `getType` in interface `TypedInstruction`
  Returns:
    Type.FLOAT

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.